Mailinglist Archive: opensuse-security-announce (50 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:2268-1: important: Security update for java-1_8_0-ibm
SUSE Security Update: Security update for java-1_8_0-ibm
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:2268-1
Rating: important
References: #941939 #955131
Cross-References: CVE-2015-4734 CVE-2015-4803 CVE-2015-4805
CVE-2015-4806 CVE-2015-4810 CVE-2015-4835
CVE-2015-4840 CVE-2015-4842 CVE-2015-4843
CVE-2015-4844 CVE-2015-4860 CVE-2015-4871
CVE-2015-4872 CVE-2015-4882 CVE-2015-4883
CVE-2015-4893 CVE-2015-4902 CVE-2015-4903
CVE-2015-4911 CVE-2015-5006
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP1
SUSE Linux Enterprise Server 12-SP1
______________________________________________________________________________

An update that fixes 20 vulnerabilities is now available.

Description:


This update for java-1_8_0-ibm fixes the following issues:

- Version update to 8.0-2.0 (bsc#955131): CVE-2015-4734 CVE-2015-4803
CVE-2015-4805 CVE-2015-4806 CVE-2015-4810 CVE-2015-4835 CVE-2015-4840
CVE-2015-4842 CVE-2015-4843 CVE-2015-4844 CVE-2015-4860 CVE-2015-4871
CVE-2015-4872 CVE-2015-4882 CVE-2015-4883 CVE-2015-4893 CVE-2015-4902
CVE-2015-4903 CVE-2015-4911 CVE-2015-5006

- Add backcompat symlinks for sdkdir.
- Provide %{name} instead of %{sdklnk} only in _jvmprivdir. (bsc#941939)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP1:

zypper in -t patch SUSE-SLE-SDK-12-SP1-2015-965=1

- SUSE Linux Enterprise Server 12-SP1:

zypper in -t patch SUSE-SLE-SERVER-12-SP1-2015-965=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP1 (ppc64le s390x
x86_64):

java-1_8_0-ibm-devel-1.8.0_sr2.0-4.1

- SUSE Linux Enterprise Server 12-SP1 (ppc64le s390x x86_64):

java-1_8_0-ibm-1.8.0_sr2.0-4.1

- SUSE Linux Enterprise Server 12-SP1 (x86_64):

java-1_8_0-ibm-alsa-1.8.0_sr2.0-4.1
java-1_8_0-ibm-plugin-1.8.0_sr2.0-4.1


References:

https://www.suse.com/security/cve/CVE-2015-4734.html
https://www.suse.com/security/cve/CVE-2015-4803.html
https://www.suse.com/security/cve/CVE-2015-4805.html
https://www.suse.com/security/cve/CVE-2015-4806.html
https://www.suse.com/security/cve/CVE-2015-4810.html
https://www.suse.com/security/cve/CVE-2015-4835.html
https://www.suse.com/security/cve/CVE-2015-4840.html
https://www.suse.com/security/cve/CVE-2015-4842.html
https://www.suse.com/security/cve/CVE-2015-4843.html
https://www.suse.com/security/cve/CVE-2015-4844.html
https://www.suse.com/security/cve/CVE-2015-4860.html
https://www.suse.com/security/cve/CVE-2015-4871.html
https://www.suse.com/security/cve/CVE-2015-4872.html
https://www.suse.com/security/cve/CVE-2015-4882.html
https://www.suse.com/security/cve/CVE-2015-4883.html
https://www.suse.com/security/cve/CVE-2015-4893.html
https://www.suse.com/security/cve/CVE-2015-4902.html
https://www.suse.com/security/cve/CVE-2015-4903.html
https://www.suse.com/security/cve/CVE-2015-4911.html
https://www.suse.com/security/cve/CVE-2015-5006.html
https://bugzilla.suse.com/941939
https://bugzilla.suse.com/955131

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages